% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/did.R
\name{compute.aggte}
\alias{compute.aggte}
\title{compute.aggte}
\usage{
compute.aggte(
  flist,
  tlist,
  group,
  t,
  att,
  first.treat.name,
  inffunc1,
  n,
  clustervars,
  dta,
  idname,
  bstrap,
  biters
)
}
\arguments{
\item{first.treat.name}{The name of the variable in \code{data} that contains the first
period when a particular observation is treated.  This should be a positive
number for all observations in treated groups.  It should be 0 for observations
in the untreated group.}

\item{clustervars}{A vector of variables to cluster on.  At most, there
can be two variables (otherwise will throw an error) and one of these
must be the same as idname which allows for clustering at the individual
level.}

\item{idname}{The individual (cross-sectional unit) id name}

\item{bstrap}{Boolean for whether or not to compute standard errors using
the multiplier boostrap.  If standard errors are clustered, then one
must set \code{bstrap=TRUE}.}

\item{biters}{The number of boostrap iterations to use.  The default is 100,
and this is only applicable if \code{bstrap=TRUE}.}
}
\value{
\code{AGGTE} object
}
\description{
does the heavy lifting on computing aggregated group-time
 average treatment effects
}
\keyword{internal}
